hifrog - Bug #5100

Error: No support for "big"” (> 32 bit) integers so far.
30/04/2017 07:50 - Sepideh Asadi

Status: Closed Start date: 30/04/2017
Priority: Normal Due date:

Assignee: Karine Even Mendoza % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

~/hi-bench/main-bench/Funfrog15_bench$ ./hifrog --claim 44 --theoref --bitwidth 32
RESULT in CUF: SAT - doesn't hold

Trying to refine with CUF+BitBlast
(driven by iterative CE-analysis)

No support for "big" (> 32 bit) integers so far.

History

#1 - 30/04/2017 07:52 - Sepideh Asadi

the same problem with claim 50, claim 66 s3.c

CBMC verifies such cases

#2 - 02/05/2017 22:40 - Karine Even Mendoza
Fixed

e [NLINING function: main

Processing a deferred function: __ CPROVER_initialize
Processing a deferred function: main
INLINING function: ssI3_connect

Processing a deferred function: ssI3_connect
SYMEX TIME: 0.157

All SSA steps: 155

Ignored SSA steps after slice: 90

SLICER TIME: 0.001

CONVERSION TIME: 0

; theory refiner query time so far: 0.000000

; 0| 0 0| 1.156s|116.410 MB
SOLVER TIME: 0.001

RESULT: SAT - doesn't hold

Trying to refine with CUF+BitBlast
(all statements at once)

; theory refiner query time so far: 0.000000
; 0 0 0| 1.160s|116.410 MB
ASSERTION DOES NOT HOLD

VERIFICATION FAILED
TOTAL TIME FOR CHECKING THIS CLAIM: 0.162

Checked Assertion:

file ../../../../../../hi-bench/main-bench/Funfrog15_bench/s3.c line 1154 function ssI3_connect
assertion

tmp__ 9 == 140737488346048I

#X: Done.

karinek@karinek-VirtualBox:~/workspace/tools/hifrog_theory_ref/hifrog/trunk/cprover/src/funfrog$ ./hifrog

.[.1..1..1..]../hi-bench/main-bench/Funfrog15_bench/s3.c --logic gfcuf --theoref --bitwidth 64 --force --claim 44 --unwind 10 --force

#3 - 02/05/2017 22:41 - Karine Even Mendoza

- Status changed from New to Closed
- Assignee set to Karine Even Mendoza
